body {
  display: flex;
  justify-content: center; /* horizontal */
  align-items: center;     /* vertical */
}



p {
  max-width: 700px;          /* largeur idéale de lecture */
  margin: 0 auto 1.5rem;     /* centré + espace entre paragraphes */
  padding: 0 1rem;           /* marge gauche / droite sur mobile */
  
 
  font-size: 1.05rem;
  line-height: 1.7;
  color: #333;

  text-align: justify;       /* rendu article */
}

h1 {
  max-width: 700px;
  margin: 3rem auto 1.5rem;
  padding: 0 1rem;

  font-family: "Merriweather", serif;
  font-size: 3rem;
  line-height: 1.2;
  font-weight: 700;
  color: #222;

  text-align: center;
}


/* Animation du logo */

.logo-hover {
    transition: transform 0.6s ease; /* Animation douce */
  } 
  
  .logo-hover:hover {
    transform: scale(1.4); /* Agrandissement du logo à 130% */
  }

.custom-navbar {
  background-color: #cfe2ffff  !important;
}

.footer {
  background-color: #cfe2ffff  !important;
}

  .navbar .nav-link {
  font-weight: 700;   
  color: #808080;
}

.navbar .nav-link:hover {
  color: #0080c6ff;  
}

/* Animations logo navbar*/
.logo-img {
  transition: transform 0.3s ease;
}

.logo:hover .logo-img {
  transform: scale(1.2) rotate(8deg);
}

.logo-text {
  font-family: "Roboto Condensed", sans-serif;
  font-size: 2rem;      /* taille du texte */
  color: #0080c6ff;       /* couleur du texte */
}

.logo-text-2 {
  font-family: "Roboto Condensed", sans-serif;
  font-size: 2rem;      /* taille du texte */
  color: #808080;       /* couleur du texte */
}

  body {
    padding-top: 70px; /* Pour décaler le body sous la navbar (sinon une partie est tronchée) */
    padding-bottom: 50px;
  }

  .desktop-h1{
    text-align: center;
    margin-bottom: 50px;
  }

  .mobile-h1{
    margin-bottom: 1rem; /* Sauts de ligne après le h1 (mobile) */
  }

  .img-desktop {
    margin: 10px 20px; /* 10px top & bottom, 20px left & right */
  }

  .img-mobile {
    margin: 10px 20px;
  }

  .img-legend{
      margin: 20px;
  }

 .autres-supports {
  border: solid;
  border-color: #cfe2ffff;
  text-align: center;
  font-weight: bold;
 
 }  

.box {
  display: flex;
  justify-content: space-around;
  padding-top: 30px;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  background-color: rgba(0, 0, 0, 0.5); /* fond semi-transparent noir */
  border-radius: 50%; /* optionnel : arrondi */
}
